 <!-- begin detail.php -->
<?php
function nastavdelku($maxhodnota,$hodnota,$maxdelka)
{
return (($hodnota/$maxhodnota)*$maxdelka);
}

     $id=$_GET['id'];        
     $dotaz=mysql_query("SELECT devices.name,icons.picture,devices.type,devices.sensor,devices.person,buildings.name,devices.floor,devices.room,devices.loc_x,devices.loc_y,buildings.mapname FROM devices,icons,buildings WHERE icons.id=devices.icon AND buildings.id = devices.building AND devices.id=".$id." LIMIT 1");
     $zarizeni=mysql_fetch_row($dotaz);
     
     $nadpis="Detail spotřebiče";
     
     $obsah='<table style="border:2px solid #888888;width:100%"><tr><td>';
     
     $obsah.='<table style="border:0; width:100%;"><tr><td style="text-align:center; width:50%;">'; 
     $obsah.='<img src="icon/'.$zarizeni[1].'"><br/><strong>'.$zarizeni[0].'</strong>';
     if (strlen($zarizeni[2])>1) {$obsah.='<br/>('.$zarizeni[2].')';}
     $obsah.='</td><td>';                     
     $obsah.='<table style="border:2px solid #DDDDDD; width:100%;">';  
     
     $dotaz2=mysql_query("SELECT max(data.data),sum(data.data),min(data.time),max(data.time) FROM data WHERE data.device=".$id." GROUP BY data.device");
     $dotaz3=mysql_query("SELECT sensors.mac FROM sensors,devices WHERE devices.id=".$id." AND devices.sensor=sensors.id;");
     $mac=mysql_fetch_row($dotaz3);
     $stat=mysql_fetch_row($dotaz2);
     
     $dotaz4=mysql_query("SELECT val FROM settings WHERE id='price';");
     $cena=mysql_fetch_row($dotaz4);
     $dotaz4=mysql_query("SELECT val FROM settings WHERE id='currency';");
     $mena=mysql_fetch_row($dotaz4);
     
     if (mysql_num_rows($dotaz3)<1) {$mac[0]="neasociováno";}
     if (mysql_num_rows($dotaz2)<1) {$stat[0]="0";$stat[1]="0";}
     
     if (strlen($mac[0])>6) {$pre="0x";}
    
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">MAC snímače: </td><td><strong>'.$pre.$mac[0].'</strong></td></tr>';  
     $obsah.='<tr><td></td><td></td></tr>';
     $obsah.='<tr><td></td><td></td></tr>';
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">Max. odběr: </td><td><strong>'.round($stat[0],3).' kWh</strong></td></tr>';  
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">Celk. odběr: </td><td><strong>'.round($stat[1],3).' kWh</strong></td></tr>';                        
     $obsah.='<tr><td></td><td></td></tr>';
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">Celk. náklady: </td><td><strong>'.round(($stat[1]*$cena[0]),2).' '.$mena[0].'</strong></td></tr>';                        
     $obsah.='<tr><td></td><td></td></tr>';
     $obsah.='<tr><td></td><td></td></tr>';
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">První měření: </td><td><strong>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $stat[2]).'</strong></td></tr>';  
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">Poslední měření: </td><td><strong>'.Date("j.n.Y \&\\n\b\s\p\; H:i:s", $stat[3]).'</strong></td></tr>';  
         
     $obsah.='</table></td></tr></table>'; 
  
     
     $obsah.='<table>';
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">Zodpovědná osoba: </td><td><strong><a href="prehled.php?p=osoba&o='.htmlspecialchars($zarizeni[4]).'">'.$zarizeni[4].'</a></strong></td></tr>'; 
     $obsah.='<tr><td></td><td></td></tr>';
     $obsah.='<tr><td></td><td></td></tr>'; 
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">Budova: </td><td><strong>'.$zarizeni[5].'</strong></td></tr>'; 
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">Patro: </td><td><strong>'.$zarizeni[6].'</strong></td></tr>'; 
     $obsah.='<tr><td style="text-align:right;padding-right:10px;">Místnost: </td><td><strong><a href="prehled.php?p=mistnost&m='.htmlspecialchars($zarizeni[7]).'">'.$zarizeni[7].'</a></strong></td></tr>'; 
     $obsah.='</table>'; 
     
      
 $obsah.='</td></tr></table>';
   
   $obsah.='<br/><br/><br/>';   
     
     $obsah.='<img src="maps/'.$zarizeni[10].'_'.$zarizeni[6].'.png" alt="mapa" id="map"/><br/><br/><br/>'; 
     
$obsah.=' <div id="cross" style="position:absolute; top:-20px; left:-20px; width:14px; height:14px; background-image:url(\'maps/crosshair.png\')"></div>
  
  <script type="text/javascript">
     $(document).ready(function() {
    var offset = $("#map").offset();
    $("#cross").css({"top": '.$zarizeni[9].' + offset.top - 7, "left": '.$zarizeni[8].' + offset.left - 7});
  });
  </script>
     
';   


$obsah.='<br/><br/><br/>'; 
       
     
     
     
     
     
     

     $cas=strtotime(date("j.n.Y").", ".date("H").":00:00");
     $dokdy=$cas+3600;
     
     $obsah.='<h3>Spotřeba v poslední hodině ('.date("H").':00 - '.(date("H")+1).':00)</h3>';
     
     $dotaz_maxdata=mysql_query("SELECT data FROM data WHERE device=".$id." AND time>=".$cas." AND time<".$dokdy." ORDER BY data DESC LIMIT 1");
     $maxdata=mysql_fetch_row($dotaz_maxdata);
     
     $obsah.='<table border="0">';
     $obsah.='<tr><td>'.round($maxdata[0]).' kWh</td>';
     
     $aktcas=$cas;
     for ($y=0;$y<12;$y++)
     {
     $dotaz_hodnota=mysql_query("SELECT avg(data) FROM data WHERE device=".$id." AND time>=".$aktcas." AND time<".($aktcas+300));
     $hodnota=mysql_fetch_row($dotaz_hodnota);

     $obsah.='<td rowspan="10" style="text-align:center; vertical-align:bottom; height:200px; "><img src="images/4.png" width="25" height="'.nastavdelku(round($maxdata[0]),round($hodnota[0],1),200).'" title="'.round($hodnota[0],1).'"></td>';
     $aktcas+=300;                                                                                                              
     }
     
     $obsah.='</tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.9).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.8).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.7).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.6).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.5).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.4).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.3).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.2).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.1).' kWh</td></tr>';
     $d=date("H");
     $obsah.='<tr><td></td><td>'.$d.':00</td><td>'.$d.':05</td><td>'.$d.':10</td><td>'.$d.':15</td><td>'.$d.':20</td>
                           <td>'.$d.':25</td><td>'.$d.':30</td><td>'.$d.':35</td><td>'.$d.':40</td>
                           <td>'.$d.':45</td><td>'.$d.':50</td><td>'.$d.':55</td>
                          
     </tr>';
     
     $obsah.='</tr></td></table>';
     
     
     
     
     
     
     
     
     
     
     
     
     
     
     $cas=strtotime(date("j").".".date("n").".".date("Y"));  
     $dokdy=$cas+86400;
   
     $obsah.='<br/><br/>';
     
     $obsah.='<h3>Spotřeba dnes ('.date("j.n.Y").')</h3>';
     
     
     $dotaz_maxdata=mysql_query("SELECT data FROM data WHERE device=".$id." AND time>=".$cas." AND time<".$dokdy." ORDER BY data DESC LIMIT 1");
     $maxdata=mysql_fetch_row($dotaz_maxdata);
     
     $obsah.='<table border="0">';
     $obsah.='<tr><td>'.round($maxdata[0]).' kWh</td>';
     
     $aktcas=$cas;
     for ($y=0;$y<24;$y++)
     {
     $dotaz_hodnota=mysql_query("SELECT avg(data) FROM data WHERE device=".$id." AND time>=".$aktcas." AND time<".($aktcas+3600));
     $hodnota=mysql_fetch_row($dotaz_hodnota);

     //$obsah.='<td rowspan="10" style="text-align:center; vertical-align:bottom; height:200px; background-image: url(\'images/table_back.png\'); z-index:-3; height:100%; background-attachment:move; background-repeat: repeat-x;"><img src="images/'.$barva.'.png" width="15" height="'.nastavdelku(round($maxdata[0]),round($hodnota[0],1),200).'" alt="'.round($hodnota[0],1).'"></td>';
     $obsah.='<td rowspan="10" style="text-align:center; vertical-align:bottom; height:200px; ">
     <a href="prehled.php?p=hodinovy&h='.$y.'&d='.date("j").'&m='.date("n").'&r='.date("Y").'">
     <img src="images/2.png" width="15" height="'.nastavdelku(round($maxdata[0]),round($hodnota[0],1),200).'" title="'.round($hodnota[0],1).'">
     </a>
     </td>';
     $aktcas+=3600;                                                                                                              
     }
     
     $obsah.='</tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.9).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.8).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.7).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.6).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.5).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.4).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.3).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.2).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.1).' kWh</td></tr>';
     $obsah.='<tr><td></td><td>0</td><td>1</td><td>2</td><td>3</td>
                           <td>4</td><td>5</td><td>6</td><td>7</td>
                           <td>8</td><td>9</td><td>10</td><td>11</td>
                           <td>12</td><td>13</td><td>14</td><td>15</td>
                           <td>16</td><td>17</td><td>18</td><td>19</td>
                           <td>20</td><td>21</td><td>22</td><td>23</td>
     </tr>';
     
     $obsah.='</tr></td></table>';
  
     
     
     
     
     
     
     
     
     
     
   
     $obsah.='<br/><br/>';  
        
     $cas=strtotime("1.".date("n").".".date("Y"));     
                           
     if (date("n")>=12) 
     {  $dokdy=strtotime("1.1.".(date("Y")+1));  } 
     else
     {  $dokdy=strtotime("1.".(date("n")+1).".".date("Y"));   }
     
     switch (date("n")) {
        case 1: $mesic="leden";break;
        case 2: $mesic="únor";break;
        case 3: $mesic="březen";break;
        case 4: $mesic="duben";break;
        case 5: $mesic="květen";break;
        case 6: $mesic="červen";break;
        case 7: $mesic="červenec";break;
        case 8: $mesic="srpen";break;
        case 9: $mesic="září";break;
        case 10: $mesic="říjen";break;
        case 11: $mesic="listopad";break;
        case 12: $mesic="prosinec";break;
        
}

     $obsah.='<h3>Spotřeba za poslední měsíc ('.$mesic.')</h3>';
     
     
     $dotaz_maxdata=mysql_query("SELECT data FROM data WHERE device=".$id." AND time>=".$cas." AND time<".$dokdy." ORDER BY data DESC LIMIT 1");
     $maxdata=mysql_fetch_row($dotaz_maxdata);
     
     $obsah.='<table border="0">';
     $obsah.='<tr><td>'.round($maxdata[0]).' kWh</td>';
     
     $aktcas=$cas;
     for ($y=1;$y<=31;$y++)
     {
     $dotaz_hodnota=mysql_query("SELECT avg(data) FROM data WHERE device=".$id." AND time>=".$aktcas." AND time<".($aktcas+86400));
     $hodnota=mysql_fetch_row($dotaz_hodnota);

     $obsah.='<td rowspan="10" style="text-align:center; vertical-align:bottom; height:200px; ">
     <a href="prehled.php?p=denni&d='.$y.'&m='.date("n").'&r='.date("Y").'">
     <img src="images/1.png" width="15" height="'.nastavdelku(round($maxdata[0]),round($hodnota[0],1),200).'" title="'.round($hodnota[0],1).'">
     </a>
     </td>';
     $aktcas+=86400;                                                                                                              
     }
     
     
     $obsah.='</tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.9).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.8).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.7).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.6).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.5).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.4).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.3).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.2).' kWh</td></tr>';
     $obsah.='<tr><td style="text-align:right;">'.round($maxdata[0]*0.1).' kWh</td></tr>';
     $obsah.='<tr><td></td><td>1</td><td>2</td><td>3</td>
                           <td>4</td><td>5</td><td>6</td><td>7</td>
                           <td>8</td><td>9</td><td>10</td><td>11</td>
                           <td>12</td><td>13</td><td>14</td><td>15</td>
                           <td>16</td><td>17</td><td>18</td><td>19</td>
                           <td>20</td><td>21</td><td>22</td><td>23</td>
                           <td>24</td><td>25</td><td>26</td><td>27</td>
                           <td>28</td><td>29</td><td>30</td><td>31</td>
     </tr>';
     
     $obsah.='</tr></td></table>';

  
     
     
     
     
  
?>

            
            
            <div class="post">				
              <h2 class="title">
                <a href="#"><?php echo $nadpis; ?></a>
              </h2>				
              
              <div class="entry">		
                <div id="refresh">
                  <?php echo $obsah; ?>     
                </div>
              </div>			
            </div>
            
            
 <!-- end detail.php -->